Download it now!
Bug 116516 - Proxy detection returns garbage in Windows
Summary: Proxy detection returns garbage in Windows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-03-20 06:52 UTC by Aron Budea
Modified: 2018-03-26 16:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-03-20 06:52:34 UTC
- Set a proxy in Internet Options in Windows, eg. host 127.0.0.1 and port 6588.
- In LO open Tools -> Options...; Internet -> Proxy. Make sure Proxy server is set to System.

=> Garbage is shown.

Observed using LO 6.0.0.3 / Windows 7.
No issues with LO 5.4.0.3.
=> regression

Bibisected to the following commit using repo bibisect-win32-6.0. Adding Cc: to Mike Kaganski, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=e80aef4e032f08ef0c4cfbb028bf83b81002f112

author		Mike Kaganski <mike.kaganski@collabora.com>	2017-09-27 14:20:25 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2017-09-28 08:55:04 +0200
shell: use Unicode on Windows
Comment 1 Mike Kaganski 2018-03-20 10:45:52 UTC
https://gerrit.libreoffice.org/51629
Comment 2 Commit Notification 2018-03-20 11:43:30 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3837901ef422d432f709dd95352796a54b58aae6

tdf#116516: INTERNET_PROXY_INFO always contains char* data

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-03-26 16:10:35 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=873814828f8db91cf622e900a59ec1009dcc03a2&h=libreoffice-6-0

tdf#116516: INTERNET_PROXY_INFO always contains char* data

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.